Множественные уязвимости в phpShop

Дата публикации:
20.01.2004
Дата изменения:
29.09.2008
Всего просмотров:
2601
Опасность:
Критическая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpShop 0.x
Уязвимые версии: phpShop 0.6.1-b, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение, получить доступ к важным данным и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за ошибки аутентификации в модуле "account/shipto". Удаленный авторизованный пользователь может указать идентификатор действительной учетной записи в параметре "user_info_id" и получить доступ к личным данным другого пользователя.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "page", "product_id" и "offset". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: www.phpshop.org

Решение: Установите последнюю версию 0.7.0 с сайта производителя.

Ссылки: phpShop Vulnerabilities

или введите имя

CAPTCHA